package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * OsgModelOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class OsgModelOpenApiVo   {
  @JsonProperty("modelId")
  private Integer modelId;

  public OsgModelOpenApiVo modelId(Integer modelId) {
    this.modelId = modelId;
    return this;
  }

  /**
   * It refers to function \"Get supported gateway model list for pre-configuration\".
   * @return modelId
  */
  @ApiModelProperty(required = true, value = "It refers to function \"Get supported gateway model list for pre-configuration\".")
  @NotNull


  public Integer getModelId() {
    return modelId;
  }

  public void setModelId(Integer modelId) {
    this.modelId = modelId;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    OsgModelOpenApiVo osgModelOpenApiVo = (OsgModelOpenApiVo) o;
    return Objects.equals(this.modelId, osgModelOpenApiVo.modelId);
  }

  @Override
  public int hashCode() {
    return Objects.hash(modelId);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class OsgModelOpenApiVo {\n");
    
    sb.append("    modelId: ").append(toIndentedString(modelId)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

